<template>
  <div class="slotChildTable">
    <span></span>
    <span></span>
    <span></span>
    <span></span>
    <div class="main-table">
      <div class="">
        <ul style="margin-bottom: .02rem">
          <li><h3>风险评估过程</h3></li>
          <li>初始评价结果：{{ riskSourceAssess }}</li>
        </ul>
      </div>
      <div class="EvaluationTable">
        <table border="1" style="border-color: rgba(118,132,189,0.77)" >
          <tr>
            <th colspan="2">风险控制</th>
            <th>评估指标</th>
            <th>分值</th>
          </tr>
          <tr>
            <td rowspan="3" colspan="2">安全管理（25分）</td>
            <td>重大或较大生产安全事故隐患未完成整改的记25分。</td>
            <td rowspan="3">25</td>
          </tr>
          <tr>
            <td>一般生产安全事故隐患未完成整改的，每一项记10分，记满25分为止。</td>
          </tr>
          <tr>
            <td>不存在上述问题的记0分。</td>
          </tr>
          <tr>
            <td rowspan="3" colspan="2">设备质量管理（25分）</td>
            <td>存在下列任意一项的记25分：
              （1）未按规定进行设备设施检测、检验的；
              （2）检测结果不能满足设备设施质量要求的；
              （3）未按设计标准建设的；
              （4）使用的设备设施等级不满足要求的。
            </td>
            <td rowspan="3">10</td>
          </tr>
          <tr>
            <td>存在下列情况的，每项记10分，记满25分为止：
              （1）设备设施超期使用且未经过评估的；
              （2）设备设施降等级使用未经评估的；
              （3）设计变更未经主管部门批准的。
            </td>
          </tr>
          <tr>
            <td>不存在上述问题的记0分。</td>
          </tr>
          <tr>
            <td rowspan="9">环境风险防控措施有效性（50分）</td>
            <td rowspan="2">事故紧急关断措施（15分）</td>
            <td>环境风险源不具备有效的事故紧急关断措施的（符合紧急关断时效要）记15分。</td>
            <td rowspan="2">15</td>
          </tr>
          <tr>
            <td>环境风险源具备有效的事故紧急关断措施的（符合紧急关断时效要求）记0分。</td>
          </tr>
          <tr>
            <td rowspan="3">建设项目环境风险防控要求落实（10分）</td>
            <td>无事故风险物质处置措施记15分。</td>
            <td rowspan="3">10</td>
          </tr>
          <tr>
            <td>存在以下情况的，每项记5分，记满15分为止：
              （1）井场未按要求设排水监控池的；
              （2）井场未按要求设围堰的；
              （3）存在两个及以上雨水排放口的。
            </td>
          </tr>
          <tr>
            <td>不存在上述问题的记0分。</td>
          </tr>
          <tr>
            <td rowspan="2">建设项目环境风险防控要求落实（10分）</td>
            <td>建设项目环境影响评价及其批复提出的环境风险防控措施不落实的记10分。</td>
            <td rowspan="2">0</td>
          </tr>
          <tr>
            <td>不存在上述问题的记0分。</td>
          </tr>
          <tr>
            <td rowspan="2">环境风险源事故现场处置方案（10分）</td>
            <td>存在以下情况的，每项记5分，记满10分为止：
              （1）无环境风险源事故处置方案的或环境风险源事故处置方案无环保内容的；
              （2）未按要求开展演练并记录的；
              （3）未按要求进行备案的。
            </td>
            <td rowspan="2">5</td>
          </tr>
          <tr>
            <td>不存在上述问题的记0分。</td>
          </tr>
        </table>
      </div>
      <h3>环境风险评估结果</h3>
      <div class="pTable">
        <el-table :data="riskSourceDetail" style="width: 100%" height="200px" :row-class-name="tableRowClassName">
          <el-table-column v-for="(item, index) in listLabel" :key="index" :prop="item.prop"
                           :label="item.label" :show-overflow-tooltip="true"></el-table-column>
        </el-table>
      </div>
    </div>
  </div>
</template>

<script>
import mapApi from '@/api/mapApi'

export default {
  name: 'PublicTable',
  data () {
    return {
      riskSourceDetail: [],
      riskSourceAssess: '根据风险源周边环境风险受体3种类型，按照环境风险物质量(Q/R)、环境风险控制水平(M)矩阵，确定环境风险等级',
      listLabel: [
        {
          label: '序号',
          prop: 'no'
        },
        {
          label: '名称',
          prop: 'riskname'
        },
        {
          label: '评估等级',
          prop: 'riskLevel'
        },
        {
          label: '等级特征',
          prop: 'after'
        },
        {
          label: 'Q值',
          prop: 'riskLevel'
        },
        {
          label: 'M值',
          prop: 'riskLevel'
        },
        {
          label: 'E值',
          prop: 'riskLevel'
        }
      ]
    }
  },
  mounted () {
    this.$nextTick(() => {
    })
  },
  methods: {
    async refsRiskDataTable (param) {
      // 此处接口为根据风险源ID获取风险源评估数据（暂时为模拟数据）
      const result = await mapApi.getEnvironmentRiskPoint(param)
      this.riskSourceDetail = result[param.riskSourceId]
    },
    // 隔行颜色设置
    tableRowClassName ({
      row,
      rowIndex
    }) {
      if (rowIndex % 2 === 0) {
        return 'warning-row'
      } else if (rowIndex % 2 === 1) {
        return 'success-row'
      }
      return ''
    }
  }
}
</script>

<style lang="less" scoped>
/deep/ .el-table .warning-row{
  background-color: rgba(0, 0, 0, 0) !important;
}
/deep/ .el-table .success-row{
  background-color: rgba(48, 69, 95, .6) !important;
}
/deep/ .el-table thead tr {
  color: #02a6b5 !important;
  //.el-table .has-gutter tr th .cell {
  //  //color: #fff; 435
  //}
}

/deep/ .el-table td {
  border-bottom: none !important;
}

/deep/ .el-table .has-gutter tr th {
  border: none;
}

/deep/ .el-table th.is-leaf {
  border-bottom: none !important;
}

/deep/ .el-table td {
  height: 30px !important;
  line-height: 30px !important;
}

/deep/ .el-table tbody tr:hover > td {
  background: none !important
}
.pTable{
  box-shadow: 0 0 10px rgba(129,211,248,.35) inset;
  padding: 0.04rem;
  margin-top: .06rem;
}
.slotChildTable {
  position: relative;
  background: rgba(0, 16, 30, 0.7);
  box-shadow: 0 0 10px rgba(129,211,248,.35) inset;
  color: #00fff6;
  padding: 0.04rem;
  border: 1px solid #396d83;
  .main-table {
    max-height: 2rem;
    overflow: hidden auto;
  }
}

.slotChildTable span {
  padding: 6px;
  border-style: solid;
  border-color: #02a6b5;
}

.slotChildTable span:nth-child(1) {
  position: absolute;
  left: -1px;
  top: -1px;
  border-width: 1px 0 0 1px;
}

.slotChildTable span:nth-child(2) {
  position: absolute;
  right: -1px;
  top: -1px;
  border-width: 1px 1px 0 0;
}

.slotChildTable span:nth-child(3) {
  position: absolute;
  right: -1px;
  bottom: -1px;
  border-width: 0 1px 1px 0;
}

.slotChildTable span:nth-child(4) {
  position: absolute;
  left: -1px;
  bottom: -1px;
  border-width: 0 0 1px 1px;
}

</style>
